Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.hibernate.criterion
Class ProjectionOrder

    java.lang.Object
      org.hibernate.criterion.Order
          com.gisgraphy.hibernate.criterion.ProjectionOrder

All Implemented Interfaces:
  java.io.Serializable

    public class ProjectionOrder

extends org.hibernate.criterion.Order

A criteria that sort by an already added projection

Author:
  David Masclet
See Also:
  Serialized Form

Constructor Summary
`ProjectionOrder(java.lang.String aliasName)`
`ProjectionOrder(java.lang.String aliasName, boolean ascending)`

Method Summary
`java.lang.String` | `toSqlString(org.hibernate.Criteria criteria, org.hibernate.criterion.CriteriaQuery criteriaQuery)`

Methods inherited from class org.hibernate.criterion.Order
`asc, desc, ignoreCase, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProjectionOrder

    public ProjectionOrder(java.lang.String aliasName,
                           boolean ascending)

Parameters:
  `aliasName` - The name of the alias we'd like to sort
  `ascending` - Whether we sort Ascending or descending

### ProjectionOrder

    public ProjectionOrder(java.lang.String aliasName)

Parameters:
  `aliasName` - The name of the alias we'd like to sort, default sorting is ascending

Method Detail

### toSqlString

    public java.lang.String toSqlString(org.hibernate.Criteria criteria,
                                        org.hibernate.criterion.CriteriaQuery criteriaQuery)
                                 throws org.hibernate.HibernateException

  Overrides:
    `toSqlString` in class `org.hibernate.criterion.Order`
  Throws:
    `org.hibernate.HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.